/*
 * spec.url : url de l'objet blender au format json
 * spec.texture : texture
 * spec.onloaded : fonction à lancer une fois que l'objet est chargé
 * spec.materiau : materiau
 */
var BlenderObjet=(function() {
    return {
        instance: function(spec) {
            var that={loaded: false};
            lib_ajax.get(spec.url, function(json) {
                var objet_exporte=JSON.parse(json);
                that=Objet.instance({
                    materiau: spec.materiau || false,
                    texture: spec.texture,
                    maillage: Maillage.instance({
                        vertices: objet_exporte.vertices,
                        indices: objet_exporte.indices
                })});
                spec.onloaded(that);
            })
            return that;
        }
    }
})();



