var lib_vector={
    size: function(v) {
        return Math.sqrt(v[0]*v[0]+v[1]*v[1]+v[2]*v[2]);
    },

    normalize: function(v) {
        var n=this.size(v);
        v[0]/=n; v[1]/=n; v[2]/=n;
    },

    prodVect: function(u,v) {
        return [u[1]*v[2]-v[1]*u[2],
                u[2]*v[0]-u[0]*v[2],
                u[0]*v[1]-u[1]*v[0]];
    },

    to_spherical: function(u) {
        var r=this.size(u);
        var phi=Math.acos(u[2]/r);
        var q=Math.acos(u[1]/Math.sqrt(u[0]*u[0]+u[1]*u[1]));
        var theta=(u[0]>=0)?q:2*Math.PI-q;
        return [r,theta, phi];
    }

}


