var SETTINGS={
    physics: {
        gravity : 0.0008,
        cubemap_size : 16,//cubemap side size in pixels
        z_min: 5,
        z_max: 15,
        r_min: 6,
        r_max: 10,
        h_max: 0.0001,
        c_y: 5.0,
        c_xz: 6.0,
        jump_v0: 0.4
    },

    camera: {
        pos0: [-219,-220,217], //initial camera position
        theta0: 4,             //initial camera hzt angle in rad
        phi0: 0.37             //initial camera vt angle in rad
    },

    navigation: {
        sensitivity_mouse: 0.001,
        sensitivity_keyboard: 2.5
    },

    scene: {
        dt_max: 16 //max time period in ms
    }

    
}

