/*
 * spec.direction: direction 
 */
var LumiereDirectionnelle=(function () {
    return {
        instance: function(spec) {
           var direction=spec.direction || [0,0,1];
           lib_vector.normalize(direction);

            var that={
                   loaded: true,
                   draw: function() {
                       SHADERS.set_lumiereDirection(direction);
                       return true;
                   },


                   get_direction: function() {
                       return direction;
                   }
            };

            return that;
        }
    };
})();